function onCreate()
    setPropertyFromClass('flixel.FlxG','sound.music.volume',0)
	setProperty('skipCountdown',true)
	setProperty('vocals.time',0)
    makeLuaSprite('piano', 'stages/m/evilpiano', 170 , 400)
    makeLuaSprite('black', 'stages/m/black', 0 , 0)
    scaleObject('black', 10, 10)
    setProperty('showRating', false)
    setProperty('showComboNum', false)
end
function onCreatePost()
    for i=4,7 do setPropertyFromGroup('strumLineNotes',i,'x',-37+(i*112)) end
    setPropertyFromGroup('opponentStrums', 0, 'x', 9999)
    setPropertyFromGroup('opponentStrums', 1, 'x', 9999)
    setPropertyFromGroup('opponentStrums', 2, 'x', 9999)
    setPropertyFromGroup('opponentStrums', 3, 'x', 9999)
    setProperty('healthBar.alpha', tonumber(0))
    setProperty('iconP1.alpha', tonumber(0))
    setProperty('iconP2.alpha', tonumber(0))
    setProperty('timeBar.visible', false)
    setProperty('timeBarBG.visible', false)
    setProperty('timeTxt.visible', false)
end

function onStepHit()
    if curStep == 232 then
        addLuaSprite('black', true)
        addLuaSprite('piano', true)
    end
    if curStep == 298 then
        removeLuaSprite('black', true)
        removeLuaSprite('piano', true)
    end
end

function onEndSong()
    runHaxeCode([[
        FlxG.openURL("https://matchstickcandlegames.neocities.org/");
    ]])
end